UMAD_DEBUG(3)

NAME
umad_debug - set debug level

SYNOPSIS
#include <infiniband/umad.h>

int umad_debug(int level);

DESCRIPTION
umad_debug() sets the umad library internal debug level to level. The following debug levels are supported: 0 - no debug (the default), 1 - basic debug information, 2 - verbose debug information. Negative values are ignored in terms of set. Note that the current debug level can be queried by passing a negative value as level.

RETURN VALUE
umad_debug() returns the actual debug level.

AUTHORS

Hal Rosenstock <halr@voltaire.com>

Dotan Barak <dotanb@mellanox.co.il>